Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.thinger.service.proxy
Class ProxyOutput

    java.lang.Object
      things.thinger.service.proxy.ProxyOutput

    public class ProxyOutput

extends java.lang.Object

Proxy output reference.

Version:
  1.0

  Version History

      EPG - Added by request.  This was part of a stand-alone lib for a while. - 10 DEC 08

Author:
  Erich P. Gatejen

Constructor Summary
`ProxyOutput(java.lang.String name, java.io.OutputStream ous)` Constructor

Method Summary
`void` | `done()` Annouce we are done with this output.
`protected void` | `finalize()` The finalizer.
`java.lang.String` | `getName()` Get the name.
`java.io.OutputStream` | `getStream()` Get the output stream.

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProxyOutput

    public ProxyOutput(java.lang.String name,
                       java.io.OutputStream ous)
                throws java.lang.Throwable

  Constructor

  Parameters:
    `name` - The name. It should be the final file/uobject name.
    `ous` - A stream to it.
  Throws:
    `java.lang.Throwable`

Method Detail

### getStream

    public java.io.OutputStream getStream()

  Get the output stream.

  Returns:
    the stream.

### getName

    public java.lang.String getName()

  Get the name.

  Returns:
    The name.

### done

    public void done()

  Annouce we are done with this output.

### finalize

    protected void finalize()
                     throws java.lang.Throwable

  The finalizer. Make sure it was closed. I fear bugs in all the stream overlays.

  Overrides:
    `finalize` in class `java.lang.Object`
  Throws:
    `java.lang.Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.